import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { DrawController } from './draw.controller';
import { DrawService } from './draw.service';
import { MapDrawingEntity } from '../draw/coordinate.entity';
import { FactionEntity } from '../faction/faction.entity';
import { Game_PersonEntity } from '../game/game.entity';
import { NotificationModule } from 'src/notifications/notifications.module';
/*
Draw
- contains everything to do with mapdrawing data.
*/
@Module({
  imports: [
    TypeOrmModule.forFeature([
      MapDrawingEntity,
      FactionEntity,
      Game_PersonEntity,
    ]),
    NotificationModule,
  ],
  controllers: [DrawController],
  providers: [DrawService],
})
export class DrawModule {}
