import { IsUUID, IsOptional, IsBoolean, Allow } from 'class-validator';

import { FactionEntity } from '../faction/faction.entity';
import { GameEntity } from '../game/game.entity';

export class MapDrawingDTO {
  @IsOptional()
  @IsUUID('4')
  mapDrawingId: string;
  @Allow()
  data: JSON;
  @IsOptional()
  @IsUUID('4')
  gameId: GameEntity;
  @IsOptional()
  @IsUUID('4')
  faction?: FactionEntity;
  @IsBoolean()
  drawingIsActive?: boolean;
  drawingValidTill?: string;
}

export class ReturnDrawingsDTO {
  @IsOptional()
  @IsUUID('4')
  factionId: FactionEntity;
}
