import { IsNumber, ValidateNested } from 'class-validator';
import { NodeCoreSettingsDTO } from './game.json-nested.dto';
import { Type } from 'class-transformer';

export class CenterDTO {
  @IsNumber()
  lat: number;
  @IsNumber()
  lng: number;
}

export class NodeSettingsDTO {
  @ValidateNested()
  @Type(() => NodeCoreSettingsDTO)
  node_settings: NodeCoreSettingsDTO;
}
