import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  CreateDateColumn,
  ManyToOne,
} from 'typeorm';

import { GameEntity } from '../game/game.entity';

// temporary table for warning notifications
@Entity('Notifications')
export class NotificationEntity {
  @PrimaryGeneratedColumn('uuid') id: string;
  @Column('text') type: string;
  @Column({ type: 'text' }) message: string;
  @CreateDateColumn() issued: Date;

  @ManyToOne(type => GameEntity, game => game.id, {
    onDelete: 'CASCADE',
  })
  game: string;
}
